//============================================================================
//
//                              Program/Module 
//                                   from
//                 Selfverifying Solvers for Dense Systems of 
//                     Linear Equations Realized in C-XSC
//
//                     Carlos Holbig and Walter Kraemer, 2003.
//
//       Program developed in C-XSC by Bernardo Frederes Kramer Alcalde,
//           Paulo Sergio Morandi Junior and Carlos Amaral Holbig
//
//============================================================================
//----------------------------------------------------------------------------
// File: ilss (header)
// Purpose: Compute approximations to the solution x of Ax = b and an
//    approximations of the inverse of A. In both case the system (m x n) can be
//    square (m = n), over-determined (m > n) and under-determined (m < n).
// Global functions:
//    LSS(): General entry for linear system solver.
//    INV(): General entry for matrix inversion.
//----------------------------------------------------------------------------

#ifndef _ILSS_HPP
#define _ILSS_HPP

#include <imatrix.hpp>   // Include real and interval types for Vector/Matrix
#include <mvi_util.hpp>  // Include real and interval utilities for Vector/Matrix
#include "lss_aprx.hpp"  // Include library for matrix inversion
#include <iostream> 
#include <iomanip>       // For I/O manipulation

using namespace cxsc;
using namespace std;

extern  void LSS( imatrix&, ivector&, ivector&, int& );
extern  void INV( imatrix&, imatrix&, int& );

#endif
